Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.MenuItemEx Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | MenuItemEx ()
| Constructor.
def | MenuItemEx (item_name, return_name, is_checked, is_enabled, sub_menu_item_array)
| Constructor, with parameters. More...
def | MenuItemEx (menu_item)
| Constructor, with another menu item object. More...
def | Set (item_name, return_name, is_checked, is_enabled, sub_menu_item_array)
| Set values. More...

## Static Public Attributes
| is_checked = _fsdk.MenuItemEx_is_checked
| A boolean value which indicates whether the menu item is to be marked as checked. More...
| is_enabled = _fsdk.MenuItemEx_is_enabled
| A boolean value which indicates whether the menu item is to appear enabled or grayed out. More...
| item_name = _fsdk.MenuItemEx_item_name
| The menu item name, which is the string to appear on the menu item. The value of "-" is reserved to draw a separator line in the menu.
| return_name = _fsdk.MenuItemEx_return_name
| A string to be returned when the menu item is selected. The default is the value of item name.
| sub_menu_item_array = _fsdk.MenuItemEx_sub_menu_item_array
| The sub menu item array.

## Detailed Description

This class represents menu item.

## Constructor & Destructor Documentation

## ◆ MenuItemEx() [1/2]

def FoxitPDFSDKPython3.MenuItemEx.MenuItemEx | ( |  | item_name,
|  |  | return_name,
|  |  | is_checked,
|  |  | is_enabled,
|  |  | sub_menu_item_array
| ) |  |

Constructor, with parameters.

Parameters

  [in] | item_name | The menu item name, which is the string to appear on the menu item.
  [in] | return_name | A string to be returned when the menu item is selected.
  [in] | is_checked | A boolean value which indicates whether the menu item is to be marked as checked.
  [in] | is_enabled | A boolean value which indicates whether the menu item is to appear enabled or grayed out.
  [in] | sub_menu_item_array | The sub menu item array.

## ◆ MenuItemEx() [2/2]

def FoxitPDFSDKPython3.MenuItemEx.MenuItemEx | ( |  | menu_item | ) |

Constructor, with another menu item object.

Parameters

  [in] | menu_item | Another menu item object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython3.MenuItemEx.Set | ( |  | item_name,
|  |  | return_name,
|  |  | is_checked,
|  |  | is_enabled,
|  |  | sub_menu_item_array
| ) |  |

Set values.

Parameters

  [in] | item_name | The menu item name, which is the string to appear on the menu item.
  [in] | return_name | A string to be returned when the menu item is selected.
  [in] | is_checked | A boolean value which indicates whether the menu item is to be marked as checked.
  [in] | is_enabled | A boolean value which indicates whether the menu item is to appear enabled or grayed out.
  [in] | sub_menu_item_array | The sub menu item array.

Returns
  None.

## Member Data Documentation

## ◆ is_checked

FoxitPDFSDKPython3.MenuItemEx.is_checked = _fsdk.MenuItemEx_is_checked
| static

A boolean value which indicates whether the menu item is to be marked as checked.

true means that the menu item is to be marked as checked, while false means that the menu item is not to be marked as checked.

## ◆ is_enabled

FoxitPDFSDKPython3.MenuItemEx.is_enabled = _fsdk.MenuItemEx_is_enabled
| static

A boolean value which indicates whether the menu item is to appear enabled or grayed out.

true means that the menu item is to appear enabled, while false means that the menu item is to appear grayed out.